Switching

Expand all | Collapse all

Upgrade of EX4550 to latest recommend version

Jump to Best Answer
  • 1.  Upgrade of EX4550 to latest recommend version

    Posted 09-21-2017 05:04

    Hi All

     

    I have in the process of upgrading all my switches to the latest recommend version by JTAC and I have 4 EX4550 virtual chassis running 12.3R releases, can I upgrade these virtual chassis straight to version 15.1 which is the recommend version by JTAC.  Does not matter if I can't use NSSU as I have performed upgrades not using NSSU.

     

    Only asking as I was looking through the release notes for version 15.1 and it says you can not upgrade/downgrade more than 3 major version releases unless you are going from EEOL to and EEOL.  The plan will be to upgrade all the EX4550 VC's to 15.1R6-S2.

     

    Sorry if this has already been answered by another post.

     

    Richard



  • 2.  RE: Upgrade of EX4550 to latest recommend version
    Best Answer

     
    Posted 09-21-2017 06:16

    Although the Support web does not really show this, for legacy EX products (EX4200/3300/2200/45xx) the [useful] code streams were basically 12.3 and then 15.1.  Neither 13.x or 14.x (especially any X release) were targeted for these products.

     

    So in reality 12.3 to 15.1 is the equvalent of "one" jump.  So no problem going direct.

     

    NOW, I am not sure you exact reason for moving to 15.1, but if it is just to get on JTAC recommended release, and you have no other pressing reason, and you could afford an upgrade window in the future, my (personnal) recommendation would be just stay on 12.3, which I assume your EX4550s are running fine with - yes?

     

    12.3 has just recently had extended EOSupport until [at least] June 30, 2018.  There is actually current work going on for a 12.3R13 [consolidation?] release.  I am still hearing stories (true??) regarding general 15.1 instability with legacy EX products.

     

    I might suggest for yourself (and others) that before you go ahead an upgrade any legacy EX product you have a discussion with your Juniper Partner technical people or your local Juniper SE.  Might save you some headaches down the road.

     

    Just FYI.



  • 3.  RE: Upgrade of EX4550 to latest recommend version

    Posted 09-25-2017 03:51

    Thank you for the feed back, yes it was only to stay on JTAC recommended vesions.  I don't think there was anything in vesion 15.1 that we needed so I will stay with vesion 12.3 for now.